# Request Domain Ownership

{% hint style="info" %}
**Prerequisite:** Only contract administrators, owners, and users with `accessAndManageIamResources` privilege can create and manage Identity Providers (IDPs) through the API. You can also set user privileges in the DCD. For more information, see [<mark style="color:blue;">Set User Privileges for Identity and Access Management</mark>](/cloud/set-up-ionos-cloud/management/identity-access-management/iam-federation/how-tos/set-user-privileges-iam-dcd.md).
{% endhint %}

To request the ownership of a domain, perform a `POST` request.

## Endpoint

Use the following endpoint to request for domain ownership: `https://iam.ionos.com/federation/domains`.

## Request

```bash
curl --location \
--request POST 'https://iam.ionos.com/federation/domains' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJraWQiO' \
--header 'Content-Type: application/json' \
--data '{
  "domain": "yourcompany.com"
}'
```

{% tabs %}
{% tab title="Request Body Parameters" %}
Below is the list of mandatory body parameters:

| **Body Parameters** | **Type** | **Description**                                                  | **Example**       |
| ------------------- | -------- | ---------------------------------------------------------------- | ----------------- |
| `domain`            | string   | Represents the domain to map the user email domains to the IDPs. | `yourcompany.com` |
| {% endtab %}        |          |                                                                  |                   |

{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| **Header Parameters** | **Required** | **Type** | **Description**                                                                                                                                                                                                                                                                 |
| --------------------- | :----------: | :------: | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Authorization`       |      yes     |  string  | The Bearer token enables requests to authenticate using a JSON Web Token (JWT). From the DCD, [<mark style="color:blue;">Generate authentication token</mark>](/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager.md#generate-authentication-token). |
| `Content-Type`        |      yes     |  string  | Set this to `application/json`.                                                                                                                                                                                                                                                 |
| {% endtab %}          |              |          |                                                                                                                                                                                                                                                                                 |
| {% endtabs %}         |              |          |                                                                                                                                                                                                                                                                                 |

## Response

**202 Successful operation**

```bash
{
   "id":"5e6323da-8a45-5732-bec1-d7c29c1dc890",
   "type":"domain",
   "href":"/domain/5e6323da-8a45-5732-bec1-d7c29c1dc890",
   "metadata":{
      "createdDate":"2020-12-10T13:37:50+01:00",
      "createdBy":"ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
      "createdByUserId":"87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
      "lastModifiedDate":"2020-12-11T13:37:50+01:00",
      "lastModifiedBy":"ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
      "lastModifiedByUserId":"87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
      "resourceURN":"ionos:<product>:<location>:<contract>:<resource-path>"
   },
   "properties":{
      "token":"<your-api-token>",
      "domain":"yourcompany.com",
      "status":"REQUESTED",
      "message":"The token provided should be added to the TXT Domain Record, then request to verify the ownership. Important: This is the only time the token will be visible to you, so please take note of it now."
   }
}
```

{% hint style="info" %}
**Note:**

* The `token` value provided in the API response must be saved, as this will be the only time it is displayed. This token value must be added to the `TXT Domain Record` and proceed with the domain ownership verification.
* If you are using IONOS Cloud DNS, you can add the `TXT` Domain Record by following the steps in [<mark style="color:blue;">Create a TXT Domain Record</mark>](/cloud/set-up-ionos-cloud/management/identity-access-management/iam-federation/how-tos/create-txt-domain-record.md).
* If your organization uses any other domain provider, contact your provider to locate the DNS settings and add the `TXT` record value.
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/iam-federation/api-how-tos/request-domain-ownership.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
